Prerequisite knowledge and technologies

Search Knowledge Base by Keyword

< Back

To use Data Subsetting from Test Data Automation, you will need an intermediate understand of SQL. You will also need a good level of proficiency in Microsoft Excel, and an understanding of the database that you are subsetting.

There are four pieces of prerequisite software for data subsetting:

  1. You must be running a 64-bit Windows machine. Windows 10 is strongly recommended and is required for the full range of functionality.
  2. The latest 64-bit version of Microsoft Excel.
  3. The latest version of VIP. Information on prerequisites and installation can be found here, and licensing information here.
  4. The latest version of the VIP Execution Server. Prerequisites and installation can be found here.

Once you have installed the prerequisite software on a 64-bit Windows machine, you will require licensed access to the relevant TDM utilities. Contact your account manager at Curiosity if you require a license, or email Info@Curiosity.Software.